function E0090()
    MNA()CMU("CS_Vivi")FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")FAI(4)
end

function GoCrossRoads()
    PRI()FAO(0)TRA("CS_crossroads","E0090",12,4)
end

function GoPool()
    PRI()FAO(1)TRA("CS_pool","E0093",6,15)
end

function GoSeaCave()
    PRI()FAO(0)TRA("CS_seacave","E0090",22,8)
end

function Door_UpSide()
    if(FLJ("UnlockDoor_DownSide")) then
        GoDownSide()
    else
        if(ITJ("RustKey")) then
            PRI()
            SOU("CS_022_chest_open")
            GIT("RustKey")
            MS4("\n使用了 =生锈的钥匙= 。")NOD()CLO()
            FLP("UnlockDoor_DownSide")
            GIT()
            CLO()
            GoDownSide()
        else
            PRI()
            SOU("CS_022_chest_open")WAI(16)SOU("CS_022_chest_open")WAI(16)
            MS4("\n门被锁住了")NOD()CLR()
            CAT("\n上面写着")NOD()CLR()
            TUR()
            MS4("\n下方怪物出没，咪咪卡禁止进入。")
            CAT("\n")CAT("——金",1)NOD()
        end
    end
end

function GoDownSide()
    KEY()
    SOU("CS_011_door")
    ANP("Door_UpSide",0,1)WAI(10)HMC()
    ANP("Door_UpSide",0,0)
    MOV(4,23)WAI(50)
    SOU("CS_011_door")
    ANP("Door_DownSide",0,1)SLR(1)SMC()WAI(10)
    ANP("Door_DownSide",0,0)
end

function Door_DownSide()
    KEY()
    SOU("CS_011_door")
    ANP("Door_DownSide",0,1)WAI(10)HMC()
    ANP("Door_DownSide",0,0)
    MOV(4,17)WAI(50)
    SOU("CS_011_door")
    ANP("Door_UpSide",0,1)SLR(1)SMC()WAI(10)
    ANP("Door_UpSide",0,0)
end

function Over()
    KEY()
    MYB(0,PLY())WAS()
    MS4("masrofox：程序测试版本目前内容就到此，")NOD()
    CAT("\n谢谢游玩！请等下次更新~")NOD()
end

--钓鱼
function Fishing2()
    PRI()
    if(WET()) then
        MS4("鱼还在水中活蹦乱跳的，")NOD()
        CAT("\n没法捕获。")NOD()
    else
        MS4("\n这是野外湖泊里常见的青鱼...")NOD()CLR()
        ITP("Bluefish")
        GIT("Bluefish")
        SOU("CS_038_get_item")
        DNP("Fishing2")
        FLP("Fishing2")
        CMU("CS_Fanfale1")
        CAT("\n获得了 =青鱼= 。")WAI(160)NOD()
        RMU()
    end
end